Package org.springframework.security.config.web.server

# Class ServerHttpSecurity.HeaderSpec.FrameOptionsSpec

java.lang.Object
org.springframework.security.config.web.server.ServerHttpSecurity.HeaderSpec.FrameOptionsSpec

Enclosing class:
  ServerHttpSecurity.HeaderSpec

public final class ServerHttpSecurity.HeaderSpec.FrameOptionsSpec extends Object
Configures frame options response header

See Also:
  - `ServerHttpSecurity.HeaderSpec.frameOptions()`

## Method Summary

Modifier and Type
Method
Description
`ServerHttpSecurity.HeaderSpec`
`disable()`
Disables frame options response header
`ServerHttpSecurity.HeaderSpec`
`mode(org.springframework.security.web.server.header.XFrameOptionsServerHttpHeadersWriter.Mode mode)`
The mode to configure.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### mode

public ServerHttpSecurity.HeaderSpec mode(org.springframework.security.web.server.header.XFrameOptionsServerHttpHeadersWriter.Mode mode)
The mode to configure. Default is `XFrameOptionsServerHttpHeadersWriter.Mode.DENY`

Parameters:
  `mode` - the mode to use
Returns:
  the `ServerHttpSecurity.HeaderSpec` to configure

### disable

public ServerHttpSecurity.HeaderSpec disable()
Disables frame options response header

Returns:
  the `ServerHttpSecurity.HeaderSpec` to continue configuring